# Introduction

...

# Projects

## Compiler
- Add support for coroutines
- Fix bugs with iterators/generics
- Fix/Expand Compiler as a Service features

## Standard Library
- Integrate and expand new async io module
- Add windows support to fsmonitor module
  * Allow the fsmonitor module to work on Windows by using native API's to gather information about changes in monitored files and directories.

- Revise fsmonitor module API
  * Revise the fsmonitor module api to decouple unix/linux file handle paradigms from the api, allowing easier implementations of native backends. Also integrate the fsmonitor module into the new asynchronous io modules.

- Add a cross-platform stat()-like proc to os.nim
  * Implement a procedure in os.nim which uses native stat-like calls on Linux, Mac, Windows, and other OS's to gather detailed information about target file system objects. Allow the bypassing of symlinks and hardlinks, where possible.

## Tools & Infrastructure
- Update and refactor nimrod builder
  * Reduce the number of assumptions the nimrod builder makes about its host system, in order to reduce configuration restrictions. Assumptions include location and usage of external tools, such as git.